PowerPoint7Parser Class Reference documentation

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
PowerPoint7Parser Class Referencefinal

the main class to read a Microsoft PowerPoint 95 files (Windows) More...

`#include <PowerPoint7Parser.hxx>`

Inheritance diagram for PowerPoint7Parser:

## Public Member Functions
| PowerPoint7Parser (MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor More...
| ~PowerPoint7Parser () final
| destructor More...
bool | checkHeader (MWAWHeader *header, bool strict=false) final
| checks if the document header is correct (or not) More...
void | parse (librevenge::RVNGPresentationInterface *documentInterface) final
| virtual function used to parse the input More...
Public Member Functions inherited from MWAWPresentationParser
| ~MWAWPresentationParser () override
| destructor More...
Public Member Functions inherited from MWAWParser
virtual | ~MWAWParser ()
| virtual destructor More...
int | version () const
| returns the works version More...
MWAWParserStatePtr | getParserState ()
| returns the parser state More...
MWAWHeader * | getHeader ()
| returns the header More...
MWAWInputStreamPtr & | getInput ()
| returns the actual input More...
MWAWListenerPtr | getMainListener ()
| returns the main listener More...
MWAWGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener More...
MWAWPresentationListenerPtr & | getPresentationListener ()
| returns the presentation listener More...
MWAWSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener More...
MWAWTextListenerPtr & | getTextListener ()
| returns the text listener More...
MWAWFontConverterPtr & | getFontConverter ()
| returns the font converter More...
MWAWFontManagerPtr & | getFontManager ()
| returns the font manager More...
MWAWPageSpan const & | getPageSpan () const
| returns the actual page dimension More...
MWAWPageSpan & | getPageSpan ()
| returns the actual page dimension More...
double | getFormLength () const
| returns the form length More...
double | getFormWidth () const
| returns the form width More...
double | getPageLength () const
| returns the page length (form length without margin ) More...
double | getPageWidth () const
| returns the page width (form width without margin ) More...
MWAWRSRCParserPtr & | getRSRCParser ()
| returns the rsrc parser More...
libmwaw::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document More...

## Protected Member Functions
void | createDocument (librevenge::RVNGPresentationInterface *documentInterface)
| creates the listener which will be associated to the document More...
bool | createZones ()
| finds the different zones More...
void | sendSlides ()
| try to send all slides More...
bool | getColor (int cId, MWAWColor &col) const
| returns the color corresponding to an id More...
bool | sendText (int textId)
| try to send the text content More...
bool | readDocRoot ()
| try to read the main zone: the zone 3 More...
bool | readMainSub10 (long endPos)
| try to read the main sub zone: the zone 10: child of Root More...
bool | readDocument (long endPos)
| try to read the document's zone 1000: child of Root More...
bool | readDocAtom (int level, long endPos)
| try to read the document atom's zone 1001: child of Document More...
bool | readSlideInformation (int level, long endPos)
| try to read the slide information 1005: dimension, has background, ... More...
bool | readSlides (int level, long endPos, bool master)
| try to read the slides zone 1006(slides) or 1016(master) More...
bool | readSlideAtom (int level, long endPos, PowerPoint7Struct::SlideId &sId, PowerPoint7Struct::SlideId &mId)
| try to read the slide zone 1007 More...
bool | readNotes (int level, long endPos)
| try to read the notes zone 1008 More...
bool | readNoteAtom (int level, long endPos, PowerPoint7Struct::SlideId &sId)
| try to read the note atom zone 1009 More...
bool | readEnvironment (int level, long endPos)
| try to read the environment zone 1010 More...
bool | readColorScheme (int level, long endPos, std::vector< MWAWColor > &colors)
| try to read the color scheme 1012 More...
bool | readZone1015 (int level, long endPos)
| try to read the zone 1015: child of Slides More...
bool | readSlideShowInfo (int level, long endPos)
| try to read the slide show info zone 1017 More...
bool | readSlideViewInfo (int level, long endPos)
| try to read the slide view info zone 1018 More...
bool | readGuideAtom (int level, long endPos)
| try to read the guide atom zone 1019 More...
bool | readViewInfoAtom (int level, long endPos)
| try to read the view info zone 1021 More...
bool | readSlideViewInfoAtom (int level, long endPos)
| try to read the slide view info zone 1022 More...
bool | readVbaInfo (int level, long endPos)
| try to read the vba info zone 1023 More...
bool | readVbaInfoAtom (int level, long endPos)
| try to read the vba info zone 1024 More...
bool | readSSDocInfoAtom (int level, long endPos)
| try to read the slide show doc info atom 1025: child of Document More...
bool | readSummary (int level, long endPos)
| try to read the summary zone 1026: child of Document More...
bool | readZone1028 (int level, long endPos)
| try to read the zone 1028: child of Environment More...
bool | readZone1028Atom (int level, long endPos)
| try to read the zone 1029 More...
bool | readOutlineViewInfo (int level, long endPos)
| try to read the outline view info zone 1031 More...
bool | readSorterViewInfo (int level, long endPos)
| try to read the sorter view info zone 1032 More...
bool | readContainerList (int level, long endPos)
| try to read the container list zone 2000: child of Document More...
bool | readContainerAtom (int level, long endPos, int &N)
| try to read the container atom zone 2001 More...
bool | readIdentifier (int level, long endPos, int &id, std::string const &wh)
| try to read an identifier zone 2017 More...
bool | readBookmarkCollection (int level, long endPos)
| try to read the bookmark collection zone 2019 More...
bool | readSoundCollection (int level, long endPos)
| try to read the sound collection zone 2020 More...
bool | readBookmarkSeedAtom (int level, long endPos)
| try to read the bookmark seed atom zone 2025 More...
bool | readZone2026 (int level, long endPos)
| try to read the zone 2026: child of SlideViewInfo More...
bool | readColorList (int level, long endPos, std::vector< MWAWColor > &colors)
| try to read the color list zone 2031 More...
bool | readZone3000 (int level, long endPos)
| try to read the zone 3000: child of Handout/Notes/Slides/Zone3001 More...
bool | readZone3012 (int level, long endPos)
| try to read the zone 3012: child of Environment More...
bool | readZone3012Atom (int level, long endPos)
| try to read the zone 3013: child of Zone3012 More...
bool | readTextCharsAtom (int level, long endPos)
| try to read the text chars atom zone 4000 More...
bool | readStyleTextPropAtom (int level, long endPos, int &textId)
| try to read the style text prop atom zone 4001 More...
bool | readOutlineTextProps9Atom (int level, long endPos, int &pId, PowerPoint7Struct::SlideId &sId)
| try to read the outline text props9 atom zone 4009 More...
bool | readOutlineTextPropsHeader9Atom (int level, long endPos)
| try to read the outline text props header9 atom zone 4015 More...
bool | readString (int level, long endPos, std::string &string, int &zId, std::string const &what="")
| try to read the string zone 4026 More...
bool | readSlideIdentifier (int level, long endPos, PowerPoint7Struct::SlideId &sId)
| try to read a slide identifier zone 4032 More...
bool | readZone4039 (int level, long endPos)
| try to read the zone 4039: child of Zone4072 More...
bool | readKinsoku (int level, long endPos)
| try to read the Kinsoku zone 4040 More...
bool | readHandout (int level, long endPos)
| try to read the handout zone 4041 More...
bool | readZone4042 (int level, long endPos)
| try to read the zone 4042: child of FontCollection More...
bool | readKinsokuAtom (int level, long endPos)
| try to read the Kinsoku atom zone 4050 More...
bool | readZone1028Data (int level, long endPos)
| try to read the zone 4052: child of Zone1028 More...
bool | readSlideIdentifierContainer (int level, long endPos, PowerPoint7Struct::SlideId &sId)
| try to read a container of a slide identifier 4054 More...
bool | readHeaderFooters (int level, long endPos)
| try to read the header footer zone: 4057 More...
bool | readHeaderFooterAtom (int level, long endPos)
| try to read the header footer atom zone: 4058 More...
bool | readZone4072 (int level, long endPos)
| try to read the zone 4072: child of Zone3008 More...
bool | readZone (int level, long endPos)
| try to read a zone More...
bool | readZoneNoData (int level, long endPos, std::string const &name, std::string const &wh="")
| try to read a zone with no data More...
bool | parseTextContent (MWAWInputStreamPtr input)
| try to read the "Text_Content" stream More...
void | checkForUnparsedZones ()
| check for unparsed zone More...
Protected Member Functions inherited from MWAWPresentationParser
| MWAWPresentationParser (MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWPresentationParser (MWAWParserStatePtr const &state)
| constructor using a state More...
Protected Member Functions inherited from MWAWParser
| MWAWParser (MWAWParserState::Type type, MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWParser (MWAWParserStatePtr const &state)
| constructor using a state More...
void | setVersion (int vers)
| sets the document's version More...
void | setGraphicListener (MWAWGraphicListenerPtr &listener)
| sets the graphic listener More...
void | resetGraphicListener ()
| resets the listener More...
void | setPresentationListener (MWAWPresentationListenerPtr &listener)
| sets the presentation listener More...
void | resetPresentationListener ()
| resets the listener More...
void | setSpreadsheetListener (MWAWSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener More...
void | resetSpreadsheetListener ()
| resets the listener More...
void | setTextListener (MWAWTextListenerPtr &listener)
| sets the text listener More...
void | resetTextListener ()
| resets the listener More...
void | setAsciiName (char const *name)
| Debugging: change the default ascii file. More...
std::string const & | asciiName () const
| return the ascii file name More...

## Protected Attributes
std::shared_ptr< PowerPoint7ParserInternal::State > | m_state
| the state More...

## Friends
class | PowerPoint7Graph
class | PowerPoint7Text

## Detailed Description

the main class to read a Microsoft PowerPoint 95 files (Windows)

## Constructor & Destructor Documentation

## ◆ PowerPoint7Parser()

PowerPoint7Parser::PowerPoint7Parser | ( | MWAWInputStreamPtr const & | input,
|  | MWAWRSRCParserPtr const & | rsrcParser,
|  | MWAWHeader * | header
| ) |  |

constructor

## ◆ ~PowerPoint7Parser()

PowerPoint7Parser::~PowerPoint7Parser | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ checkForUnparsedZones()

void PowerPoint7Parser::checkForUnparsedZones | ( |  | ) |
| protected

check for unparsed zone

Referenced by parse().

## ◆ checkHeader()

bool PowerPoint7Parser::checkHeader | ( | MWAWHeader * | header,
|  | bool | strict = `false`
| ) |  |
| finalvirtual

checks if the document header is correct (or not)

Implements MWAWParser.

Referenced by parse().

## ◆ createDocument()

void PowerPoint7Parser::createDocument | ( | librevenge::RVNGPresentationInterface * | documentInterface | ) |
| protected

creates the listener which will be associated to the document

Referenced by parse().

## ◆ createZones()

bool PowerPoint7Parser::createZones | ( |  | ) |
| protected

finds the different zones

Referenced by parse().

## ◆ getColor()

bool PowerPoint7Parser::getColor | ( | int | cId,
|  | MWAWColor & | col
| ) |  | const
| protected

returns the color corresponding to an id

Referenced by PowerPoint7Text::readTextZone().

## ◆ parse()

void PowerPoint7Parser::parse | ( | librevenge::RVNGPresentationInterface * | documentInterface | ) |
| finalvirtual

virtual function used to parse the input

Implements MWAWPresentationParser.

## ◆ parseTextContent()

bool PowerPoint7Parser::parseTextContent | ( | MWAWInputStreamPtr | input | ) |
| protected

try to read the "Text_Content" stream

Referenced by createZones().

## ◆ readBookmarkCollection()

bool PowerPoint7Parser::readBookmarkCollection | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the bookmark collection zone 2019

Referenced by readSummary().

## ◆ readBookmarkSeedAtom()

bool PowerPoint7Parser::readBookmarkSeedAtom | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the bookmark seed atom zone 2025

Referenced by readBookmarkCollection().

## ◆ readColorList()

bool PowerPoint7Parser::readColorList | ( | int | level,
|  | long | endPos,
|  | std::vector< MWAWColor > & | colors
| ) |  |
| protected

try to read the color list zone 2031

Referenced by readColorScheme(), readEnvironment(), and readSlides().

## ◆ readColorScheme()

bool PowerPoint7Parser::readColorScheme | ( | int | level,
|  | long | endPos,
|  | std::vector< MWAWColor > & | colors
| ) |  |
| protected

try to read the color scheme 1012

Referenced by readHandout(), readNotes(), and readSlides().

## ◆ readContainerAtom()

bool PowerPoint7Parser::readContainerAtom | ( | int | level,
|  | long | endPos,
|  | int & | N
| ) |  |
| protected

try to read the container atom zone 2001

Referenced by readContainerList().

## ◆ readContainerList()

bool PowerPoint7Parser::readContainerList | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the container list zone 2000: child of Document

Referenced by readDocument(), and PowerPoint7Graph::readGroup().

## ◆ readDocAtom()

bool PowerPoint7Parser::readDocAtom | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the document atom's zone 1001: child of Document

Referenced by readDocument().

## ◆ readDocRoot()

bool PowerPoint7Parser::readDocRoot | ( |  | ) |
| protected

try to read the main zone: the zone 3

Referenced by createZones().

## ◆ readDocument()

bool PowerPoint7Parser::readDocument | ( | long | endPos | ) |
| protected

try to read the document's zone 1000: child of Root

Referenced by readDocRoot().

## ◆ readEnvironment()

bool PowerPoint7Parser::readEnvironment | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the environment zone 1010

Referenced by readDocument().

## ◆ readGuideAtom()

bool PowerPoint7Parser::readGuideAtom | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the guide atom zone 1019

Referenced by readZone2026().

## ◆ readHandout()

bool PowerPoint7Parser::readHandout | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the handout zone 4041

Referenced by readDocument().

## ◆ readHeaderFooterAtom()

bool PowerPoint7Parser::readHeaderFooterAtom | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the header footer atom zone: 4058

Referenced by readHeaderFooters().

## ◆ readHeaderFooters()

bool PowerPoint7Parser::readHeaderFooters | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the header footer zone: 4057

Referenced by readHandout(), readNotes(), and readSlides().

## ◆ readIdentifier()

bool PowerPoint7Parser::readIdentifier | ( | int | level,
|  | long | endPos,
|  | int & | id,
|  | std::string const & | wh
| ) |  |
| protected

try to read an identifier zone 2017

Referenced by readBookmarkCollection(), PowerPoint7Text::readFieldList(), PowerPoint7Text::readFontCollection(), PowerPoint7Graph::readPictureList(), and PowerPoint7Text::readRulerList().

## ◆ readKinsoku()

bool PowerPoint7Parser::readKinsoku | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the Kinsoku zone 4040

Referenced by readEnvironment().

## ◆ readKinsokuAtom()

bool PowerPoint7Parser::readKinsokuAtom | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the Kinsoku atom zone 4050

Referenced by readKinsoku().

## ◆ readMainSub10()

bool PowerPoint7Parser::readMainSub10 | ( | long | endPos | ) |
| protected

try to read the main sub zone: the zone 10: child of Root

Referenced by readDocRoot().

## ◆ readNoteAtom()

bool PowerPoint7Parser::readNoteAtom | ( | int | level,
|  | long | endPos,
|  | PowerPoint7Struct::SlideId & | sId
| ) |  |
| protected

try to read the note atom zone 1009

Referenced by readNotes().

## ◆ readNotes()

bool PowerPoint7Parser::readNotes | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the notes zone 1008

Referenced by readDocument(), and readSlides().

## ◆ readOutlineTextProps9Atom()

bool PowerPoint7Parser::readOutlineTextProps9Atom | ( | int | level,
|  | long | endPos,
|  | int & | pId,
|  | PowerPoint7Struct::SlideId & | sId
| ) |  |
| protected

try to read the outline text props9 atom zone 4009

Referenced by PowerPoint7Graph::readPlaceholderContainer(), and PowerPoint7Graph::readRect().

## ◆ readOutlineTextPropsHeader9Atom()

bool PowerPoint7Parser::readOutlineTextPropsHeader9Atom | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the outline text props header9 atom zone 4015

Referenced by readOutlineTextProps9Atom().

## ◆ readOutlineViewInfo()

bool PowerPoint7Parser::readOutlineViewInfo | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the outline view info zone 1031

Referenced by readContainerList().

## ◆ readSlideAtom()

bool PowerPoint7Parser::readSlideAtom | ( | int | level,
|  | long | endPos,
|  | PowerPoint7Struct::SlideId & | sId,
|  | PowerPoint7Struct::SlideId & | mId
| ) |  |
| protected

try to read the slide zone 1007

Referenced by readSlides().

## ◆ readSlideIdentifier()

bool PowerPoint7Parser::readSlideIdentifier | ( | int | level,
|  | long | endPos,
|  | PowerPoint7Struct::SlideId & | sId
| ) |  |
| protected

try to read a slide identifier zone 4032

Referenced by readSlideIdentifierContainer().

## ◆ readSlideIdentifierContainer()

bool PowerPoint7Parser::readSlideIdentifierContainer | ( | int | level,
|  | long | endPos,
|  | PowerPoint7Struct::SlideId & | sId
| ) |  |
| protected

try to read a container of a slide identifier 4054

Referenced by readOutlineTextProps9Atom().

## ◆ readSlideInformation()

bool PowerPoint7Parser::readSlideInformation | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the slide information 1005: dimension, has background, ...

Referenced by readHandout(), readNotes(), and readSlides().

## ◆ readSlides()

bool PowerPoint7Parser::readSlides | ( | int | level,
|  | long | endPos,
|  | bool | master
| ) |  |
| protected

try to read the slides zone 1006(slides) or 1016(master)

Referenced by readContainerList().

## ◆ readSlideShowInfo()

bool PowerPoint7Parser::readSlideShowInfo | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the slide show info zone 1017

Referenced by readSlides().

## ◆ readSlideViewInfo()

bool PowerPoint7Parser::readSlideViewInfo | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the slide view info zone 1018

Referenced by readContainerList().

## ◆ readSlideViewInfoAtom()

bool PowerPoint7Parser::readSlideViewInfoAtom | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the slide view info zone 1022

Referenced by readSlideViewInfo().

## ◆ readSorterViewInfo()

bool PowerPoint7Parser::readSorterViewInfo | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the sorter view info zone 1032

Referenced by readContainerList().

## ◆ readSoundCollection()

bool PowerPoint7Parser::readSoundCollection | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the sound collection zone 2020

Referenced by readEnvironment().

## ◆ readSSDocInfoAtom()

bool PowerPoint7Parser::readSSDocInfoAtom | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the slide show doc info atom 1025: child of Document

Referenced by readDocument().

## ◆ readString()

bool PowerPoint7Parser::readString | ( | int | level,
|  | long | endPos,
|  | std::string & | string,
|  | int & | zId,
|  | std::string const & | what = `""`
| ) |  |
| protected

try to read the string zone 4026

Referenced by PowerPoint7Graph::readBitmapContainer(), PowerPoint7Graph::readExternalOleEmbed(), readHeaderFooters(), readKinsoku(), readSlides(), readVbaInfo(), readZone4072(), and PowerPoint7Graph::readZone5000Data().

## ◆ readStyleTextPropAtom()

bool PowerPoint7Parser::readStyleTextPropAtom | ( | int | level,
|  | long | endPos,
|  | int & | textId
| ) |  |
| protected

try to read the style text prop atom zone 4001

Referenced by PowerPoint7Graph::readPlaceholderContainer(), PowerPoint7Graph::readRect(), and readZone3012().

## ◆ readSummary()

bool PowerPoint7Parser::readSummary | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the summary zone 1026: child of Document

Referenced by readDocument().

## ◆ readTextCharsAtom()

bool PowerPoint7Parser::readTextCharsAtom | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the text chars atom zone 4000

Referenced by readStyleTextPropAtom().

## ◆ readVbaInfo()

bool PowerPoint7Parser::readVbaInfo | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the vba info zone 1023

Referenced by readContainerList().

## ◆ readVbaInfoAtom()

bool PowerPoint7Parser::readVbaInfoAtom | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the vba info zone 1024

Referenced by readVbaInfo().

## ◆ readViewInfoAtom()

bool PowerPoint7Parser::readViewInfoAtom | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the view info zone 1021

Referenced by readOutlineViewInfo(), readSlideViewInfo(), and readSorterViewInfo().

## ◆ readZone()

bool PowerPoint7Parser::readZone | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read a zone

Referenced by PowerPoint7Graph::readArc(), PowerPoint7Graph::readBitmapContainer(), readBookmarkCollection(), readColorScheme(), readContainerList(), readDocRoot(), readDocument(), readEnvironment(), PowerPoint7Text::readExternalHyperlink9(), PowerPoint7Graph::readExternalOleEmbed(), PowerPoint7Text::readFieldList(), PowerPoint7Text::readFontCollection(), PowerPoint7Text::readFontContainer(), PowerPoint7Graph::readGroup(), readHandout(), readHeaderFooters(), readKinsoku(), PowerPoint7Graph::readLine(), PowerPoint7Graph::readMetaFileContainer(), readNotes(), readOutlineTextProps9Atom(), readOutlineViewInfo(), PowerPoint7Graph::readPictureContainer(), PowerPoint7Graph::readPictureIdContainer(), PowerPoint7Graph::readPictureList(), PowerPoint7Graph::readPlaceholderContainer(), PowerPoint7Graph::readPolygon(), PowerPoint7Graph::readRect(), PowerPoint7Text::readRulerContainer(), PowerPoint7Text::readRulerList(), readSlideIdentifierContainer(), readSlides(), readSlideViewInfo(), readSorterViewInfo(), readSoundCollection(), readStyleTextPropAtom(), readSummary(), PowerPoint7Text::readTextMasterProp(), PowerPoint7Text::readTextZoneContainer(), readVbaInfo(), readZone1028(), readZone2026(), readZone3000(), readZone3012(), PowerPoint7Text::readZone4064(), readZone4072(), PowerPoint7Graph::readZone5000(), and PowerPoint7Graph::readZone5000Data().

## ◆ readZone1015()

bool PowerPoint7Parser::readZone1015 | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the zone 1015: child of Slides

Referenced by readSlides().

## ◆ readZone1028()

bool PowerPoint7Parser::readZone1028 | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the zone 1028: child of Environment

Referenced by readEnvironment().

## ◆ readZone1028Atom()

bool PowerPoint7Parser::readZone1028Atom | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the zone 1029

Referenced by readZone1028().

## ◆ readZone1028Data()

bool PowerPoint7Parser::readZone1028Data | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the zone 4052: child of Zone1028

Referenced by readZone1028().

## ◆ readZone2026()

bool PowerPoint7Parser::readZone2026 | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the zone 2026: child of SlideViewInfo

Referenced by readSlideViewInfo().

## ◆ readZone3000()

bool PowerPoint7Parser::readZone3000 | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the zone 3000: child of Handout/Notes/Slides/Zone3001

Referenced by PowerPoint7Graph::readGroup(), readHandout(), readNotes(), and readSlides().

## ◆ readZone3012()

bool PowerPoint7Parser::readZone3012 | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the zone 3012: child of Environment

Referenced by readEnvironment().

## ◆ readZone3012Atom()

bool PowerPoint7Parser::readZone3012Atom | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the zone 3013: child of Zone3012

Referenced by readZone3012().

## ◆ readZone4039()

bool PowerPoint7Parser::readZone4039 | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the zone 4039: child of Zone4072

Referenced by readZone4072().

## ◆ readZone4042()

bool PowerPoint7Parser::readZone4042 | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the zone 4042: child of FontCollection

## ◆ readZone4072()

bool PowerPoint7Parser::readZone4072 | ( | int | level,
|  | long | endPos
| ) |  |
| protected

try to read the zone 4072: child of Zone3008

Referenced by PowerPoint7Graph::readRect().

## ◆ readZoneNoData()

bool PowerPoint7Parser::readZoneNoData | ( | int | level,
|  | long | endPos,
|  | std::string const & | name,
|  | std::string const & | wh = `""`
| ) |  |
| protected

try to read a zone with no data

Referenced by readBookmarkCollection(), readDocument(), PowerPoint7Text::readFieldList(), PowerPoint7Text::readFontCollection(), PowerPoint7Graph::readPictureList(), PowerPoint7Text::readRulerList(), and PowerPoint7Text::readZone4064().

## ◆ sendSlides()

void PowerPoint7Parser::sendSlides | ( |  | ) |
| protected

try to send all slides

Referenced by parse().

## ◆ sendText()

bool PowerPoint7Parser::sendText | ( | int | textId | ) |
| protected

try to send the text content

Referenced by PowerPoint7Graph::sendText().

## Friends And Related Function Documentation

## ◆ PowerPoint7Graph

friend class PowerPoint7Graph
| friend

Referenced by PowerPoint7Parser().

## ◆ PowerPoint7Text

friend class PowerPoint7Text
| friend

Referenced by PowerPoint7Parser().

## Member Data Documentation

## ◆ m_state

std::shared_ptr<PowerPoint7ParserInternal::State> PowerPoint7Parser::m_state
| protected

the state

Referenced by createDocument(), createZones(), getColor(), parse(), PowerPoint7Parser(), readContainerList(), readDocAtom(), readEnvironment(), readHandout(), readNotes(), readOutlineTextProps9Atom(), readSlideInformation(), readSlides(), readStyleTextPropAtom(), readZone3000(), readZone3012(), sendSlides(), and sendText().

The documentation for this class was generated from the following files:

- PowerPoint7Parser.hxx
- PowerPoint7Parser.cxx